<form name="form" novalidate>

	<div id="top_of_dialog">
		<strong ng-hide="showDetail">Dati Contabili</strong>
		<strong ng-show="showDetail">Dettaglio: &nbsp; {{detailName}}</strong>
	</div>

	<div style="margin-top: 15px">

		<!-- table -->
		<div class="listViewContentDiv" id="listViewContents">

			<div class="contents-topscroll noprint">
				<div class="topscroll-div" style="width: 95%">&nbsp;</div>
			</div>

			<div class="listViewEntriesDiv contents-bottomscroll">
				<div class="bottomscroll-div" style="width: 95%; min-height: 80px">

					<table ng-hide="showDetail" class="table table-bordered listViewEntriesTable">
						<thead>
							<tr class="listViewHeaders">
								<th nowrap class="medium"><a href=""
									class="listViewHeaderValues">Descrizione</a></th>
								<th nowrap class="medium" style="text-align: right;"><a
									href="" class="listViewHeaderValues">Importo (&euro;)</a></th>
								<th nowrap class="medium" style="text-align: right;"><a
									href="" class="listViewHeaderValues">N° CCID associati</a></th>
								<th nowrap class="medium"></th>
							</tr>
						</thead>
						<tbody>

							<tr class="listViewEntries"
								ng-repeat="itemA in ctrl.accountingData">
								<td nowrap class="medium" class="listViewEntryValue ">{{itemA.descriptionText}}</td>
								<td nowrap class="medium" class="listViewEntryValue "
									style="text-align: right;">{{formatNumber(itemA.totalValueOrig)}}</td>
								<td nowrap class="medium" class="listViewEntryValue "
									style="text-align: right;">{{itemA.invoiceDetailList.length}}</td>
							
								<td nowrap class="medium">
									<div class="actions pull-right">
										<!--  -->
										<span class="actionImages"> <a
											ng-click="showItemDetail(itemA)"><i title="Dettaglio"
												class="glyphicon glyphicon-info-sign alignMiddle"></i></a>&nbsp;
										</span>
										<!--  -->
									</div>
								</td>
							</tr>
						</tbody>
					</table>
					
					
					
						<!--   DETTAGLIO -->
						<table ng-show="showDetail" class="table table-bordered listViewEntriesTable">
						<thead>
							<tr class="listViewHeaders">
								<th><a href="" class="listViewHeaderValues">DSP</a></th>
								<th><a href="" class="listViewHeaderValues">Periodo</a></th>
								<th><a href="" class="listViewHeaderValues">Territorio</a></th>
								<th><a href="" class="listViewHeaderValues">Tipo di
										utilizzo</a></th>
								<th><a href="" class="listViewHeaderValues">Offerta
										commerciale</a></th>
							
								<th style="text-align: right;"><a href=""
									class="listViewHeaderValues"> Importo (&euro;)</a></th>
									
								<th nowrap class="medium"></th>
							</tr>
						</thead>
						<tbody>

							<tr class="listViewEntries" ng-repeat="itemDetail in ctrl.detailItems">
								<td class="listViewEntryValue ">{{itemDetail.dspName}}</td>
								<td class="listViewEntryValue ">{{itemDetail.periodString}}</td>
								<td class="listViewEntryValue ">{{itemDetail.country}}</td>
								<td class="listViewEntryValue ">{{itemDetail.utilizationType}}</td>
								<td class="listViewEntryValue ">{{itemDetail.commercialOffer}}</td>
								<td class="listViewEntryValue " style="text-align: right;">{{formatNumber(itemDetail.totalValue)}}</td>
								<td nowrap class="medium"></td>

							</tr>
						</tbody>
					</table>
		<!--   /DETTAGLIO -->
					

				</div>
			</div>
		</div>
		<!-- /table -->
		
		
	
		
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td ng-hide="showDetail">
					<button type="button" class="btn addButton" ng-click="close()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
					</button>
				</td>
				<td ng-show="showDetail">
					<button type="button" class="btn addButton" ng-click="back()">
						&nbsp;<strong>Torna indietro</strong>
					</button>
				</td>
          		<td align="right">
                    <button  ng-disabled="ctrl.waitingInvoiceRequest" type="button" class="btn addButton"  ng-click="sendInvoiceRequest()" ng-show="getInvoiceStatus() === 'BOZZA' && !showDetail">
                        <span class="glyphicon glyphicon-send"></span>&nbsp;&nbsp;&nbsp;<strong>Invia richiesta fatturazione</strong>
                    </button>
                    <button  type="button" class="btn addButton"  ng-click="checkInvoice()" ng-show="getInvoiceStatus() === 'RICHIESTA_FATTURA' && !showDetail " >
                       <span class="glyphicon glyphicon-check"></span>&nbsp;&nbsp;&nbsp;<strong>Verifica fattura</strong>
                    </button>
                    
                    
                    
                     	 			
                     	 <a ng-show="getInvoiceStatus() === 'FATTURATO' && !showDetail" download="fattura_{{ctrl.item.invoiceCode}}.pdf" ng-href="{{msInvoiceApiUrl}}invoice/download/{{ctrl.item.idInvoice}}">
                     	 <button type="button" class="btn addButton" >
                       <span class="glyphicon glyphicon-download"></span>&nbsp;&nbsp;&nbsp;<strong>Scarica fattura</strong>
                    </button>
 					</a>                   
                   
                </td>				
			</tr>
		</table>
	</div>

</form>

<script type="text/ng-template" id="errorDialogId">
        <div id="target"  >
          <strong>{{ngDialogData}}</strong>
        </div>
    </script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>